diff -ur gsoap-2.8.139.orig/configure.ac gsoap-2.8.139/configure.ac
--- gsoap-2.8.139.orig/configure.ac	2025-07-14 19:28:13.000000000 +0200
+++ gsoap-2.8.139/configure.ac	2026-01-19 18:46:12.764000000 +0100
@@ -167,11 +167,23 @@
 fi			
 AC_SUBST(SOAPCPP2_DEBUG)
 
+AC_ARG_WITH([soapcpp2],
+	    [AS_HELP_STRING([--with-soapcpp2=PATH],[path to an existing soapcpp2 binary])],
+	    [SOAP="$withval"],
+	    [SOAP='$(top_builddir)/gsoap/src/soapcpp2$(EXEEXT)'])
+AC_SUBST(SOAP)
+
 # set the default soapcpp2 import path
 SOAPCPP2_IMPORTPATH="-DSOAPCPP2_IMPORT_PATH=\"\\\"${datadir}/gsoap/import\\\"\""
 #SOAPCPP2_IMPORTPATH="-DSOAPCPP2_IMPORT_PATH=\"\\\"`pwd`/gsoap/import\\\"\""
 AC_SUBST(SOAPCPP2_IMPORTPATH)
 
+AC_ARG_WITH([wsdl2h],
+	    [AS_HELP_STRING([--with-wsdl2h=PATH],[path to an existing wsdl2h binary])],
+	    [WSDL="$withval"],
+	    [WSDL='$(top_builddir)/gsoap/wsdl/wsdl2h$(EXEEXT)'])
+AC_SUBST(WSDL)
+
 # set the default wsdl2h import path
 WSDL2H_IMPORTPATH="-DWSDL2H_IMPORT_PATH=\"\\\"${datadir}/gsoap/WS\\\"\""
 #WSDL2H_IMPORTPATH="-DWSDL2H_IMPORT_PATH=\"\\\"`pwd`/gsoap/WS\\\"\""
diff -ur gsoap-2.8.139.orig/gsoap/samples/Makefile.defines gsoap-2.8.139/gsoap/samples/Makefile.defines
--- gsoap-2.8.139.orig/gsoap/samples/Makefile.defines	2026-01-19 16:14:59.429600463 +0100
+++ gsoap-2.8.139/gsoap/samples/Makefile.defines	2026-01-19 16:18:53.416000000 +0100
@@ -4,7 +4,6 @@
 AM_CFLAGS=-D$(platform)
 AM_CXXFLAGS=-D$(platform)
 AM_CPPFLAGS=$(SAMPLE_INCLUDES) -I$(top_srcdir)/gsoap -I$(top_srcdir)/gsoap/plugin $(SOAPCPP2_NO_C_LOCALE)
-SOAP=$(top_builddir)/gsoap/src/soapcpp2
 
 SOAP_NS_DEF=ns.nsmap ns.wsdl
 
diff -ur gsoap-2.8.139.orig/gsoap/samples/autotest/Makefile.am gsoap-2.8.139/gsoap/samples/autotest/Makefile.am
--- gsoap-2.8.139.orig/gsoap/samples/autotest/Makefile.am	2026-01-19 16:14:59.425175563 +0100
+++ gsoap-2.8.139/gsoap/samples/autotest/Makefile.am	2026-01-19 16:17:46.548000000 +0100
@@ -5,8 +5,6 @@
 ## you have all needed files, that a GNU package needs
 AUTOMAKE_OPTIONS = subdir-objects foreign 1.4
 
-SOAP=$(top_builddir)/gsoap/src/soapcpp2$(EXEEXT)
-WSDL=$(top_builddir)/gsoap/wsdl/wsdl2h$(EXEEXT)
 WSDL_FLAGS=-d -P -t $(srcdir)/typemap.dat
 SOAP_FLAGS=-SL -T -I$(top_srcdir)/gsoap/import -I$(top_srcdir)/gsoap/custom
 WSDLINPUT=examples.wsdl
diff -ur gsoap-2.8.139.orig/gsoap/samples/databinding/Makefile.am gsoap-2.8.139/gsoap/samples/databinding/Makefile.am
--- gsoap-2.8.139.orig/gsoap/samples/databinding/Makefile.am	2026-01-19 16:14:59.427522047 +0100
+++ gsoap-2.8.139/gsoap/samples/databinding/Makefile.am	2026-01-19 16:18:22.104000000 +0100
@@ -5,8 +5,6 @@
 ## you have all needed files, that a GNU package needs
 AUTOMAKE_OPTIONS = subdir-objects foreign 1.4
 
-SOAP=$(top_builddir)/gsoap/src/soapcpp2$(EXEEXT)
-WSDL=$(top_builddir)/gsoap/wsdl/wsdl2h$(EXEEXT)
 WSDL_FLAGS=-g -t $(srcdir)/addresstypemap.dat
 SOAP_FLAGS=-0 -CS -p address -I$(top_srcdir)/gsoap/import
 WSDLINPUT=address.xsd
diff -ur gsoap-2.8.139.orig/gsoap/wsdl/Makefile.am gsoap-2.8.139/gsoap/wsdl/Makefile.am
--- gsoap-2.8.139.orig/gsoap/wsdl/Makefile.am	2025-07-14 19:28:15.000000000 +0200
+++ gsoap-2.8.139/gsoap/wsdl/Makefile.am	2026-01-19 16:17:01.296671274 +0100
@@ -9,7 +9,6 @@
 # AM_LDFLAGS=$(INCLUDES) -I$(top_srcdir)/gsoap/wsdl -L$(top_srcdir)/gsoap/wsdl
 AM_LDFLAGS=-L$(top_srcdir)/gsoap/wsdl -I$(top_srcdir)/gsoap -I$(top_srcdir)/gsoap/plugin
 AM_CPPFLAGS=-I$(top_srcdir)/gsoap -I$(top_srcdir)/gsoap/plugin
-SOAP=$(top_builddir)/gsoap/src/soapcpp2$(EXEEXT)
 SOAP_CPP_LIB=$(top_builddir)/gsoap/$(WSDL2H_SOAP_CPP_LIB)
 SOAP_CPP_SRC=wsdlC.cpp
 SOAPHEADER=$(top_srcdir)/gsoap/wsdl/wsdl.h
